<template>
  <div>
    <label class="dropdown-item form-switch">
      <LivePhotoIcon class="dropdown-item-icon" />
      <span v-if="flags.ADVANCED_MODE" class="mode-advanced"
        >Advanced Mode</span
      >
      <span v-else class="mode-simple mr-3">Simple Mode</span>
      <input
        class="form-check-input m-0 ml-3"
        type="checkbox"
        :checked="flags.ADVANCED_MODE"
        @change="toggleAdvancedMode"
      />
    </label>
    <b-dropdown-item disabled>
      <UserIcon class="dropdown-item-icon" />
      <span v-if="user">{{ user.preferred_username }}</span>
      <span v-else>Profile</span>
    </b-dropdown-item>
    <b-dropdown-item disabled>
      <SettingsIcon class="dropdown-item-icon" />
      Settings
    </b-dropdown-item>
    <div class="dropdown-divider"></div>
    <b-dropdown-item disabled>
      <HelpIcon class="dropdown-item-icon" />
      Help
    </b-dropdown-item>
    <b-dropdown-item v-if="!flags.ADVANCED_MODE" @click="showHints()">
      <DirectionsIcon class="dropdown-item-icon" />
      Step-by-step guide
    </b-dropdown-item>
    <b-dropdown-item disabled>
      <BugIcon class="dropdown-item-icon" />
      Report an issue
    </b-dropdown-item>
    <div class="dropdown-divider"></div>
    <b-dropdown-item data-cy="dropdown-logout-item" @click="logout()">
      <LogoutIcon class="dropdown-item-icon" />
      Logout
    </b-dropdown-item>
  </div>
</template>

<script>
import { mapState, mapMutations } from 'vuex';
import introJs from 'intro.js';
export default {
  computed: {
    ...mapState(['flags']),
    user() {
      return this.$auth.user;
    },
  },
  methods: {
    ...mapMutations(['toggleAdvancedMode']),
    async logout() {
      this.$auth.strategy.token.reset();
      await this.$auth.logout();
    },
    showHints() {
      introJs().showHints();
    },
  },
};
</script>
